# H225_H323_UU_PDU_h323_message_body Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_setup, e_callProceeding, e_connect, e_alerting, e_information, e_releaseComplete, e_facility, e_progress, e_empty, e_status, e_statusInquiry, e_setupAcknowledge, e_notify }

## Public Member Functions

| H225_H323_UU_PDU_h323_message_body (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_Setup_UUIE & ()
| operator const H225_Setup_UUIE & () const
| operator H225_CallProceeding_UUIE & ()
| operator const H225_CallProceeding_UUIE & () const
| operator H225_Connect_UUIE & ()
| operator const H225_Connect_UUIE & () const
| operator H225_Alerting_UUIE & ()
| operator const H225_Alerting_UUIE & () const
| operator H225_Information_UUIE & ()
| operator const H225_Information_UUIE & () const
| operator H225_ReleaseComplete_UUIE & ()
| operator const H225_ReleaseComplete_UUIE & () const
| operator H225_Facility_UUIE & ()
| operator const H225_Facility_UUIE & () const
| operator H225_Progress_UUIE & ()
| operator const H225_Progress_UUIE & () const
| operator H225_Status_UUIE & ()
| operator const H225_Status_UUIE & () const
| operator H225_StatusInquiry_UUIE & ()
| operator const H225_StatusInquiry_UUIE & () const
| operator H225_SetupAcknowledge_UUIE & ()
| operator const H225_SetupAcknowledge_UUIE & () const
| operator H225_Notify_UUIE & ()
| operator const H225_Notify_UUIE & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_H323_UU_PDU_h323_message_body::Choices

Enumerator:

  e_setup |
  e_callProceeding |
  e_connect |
  e_alerting |
  e_information |
  e_releaseComplete |
  e_facility |
  e_progress |
  e_empty |
  e_status |
  e_statusInquiry |
  e_setupAcknowledge |
  e_notify |

## Constructor & Destructor Documentation

H225_H323_UU_PDU_h323_message_body::H225_H323_UU_PDU_h323_message_body | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_H323_UU_PDU_h323_message_body::operator H225_Setup_UUIE & | ( |  | ) |

H225_H323_UU_PDU_h323_message_body::operator const H225_Setup_UUIE & | ( |  | ) | const

H225_H323_UU_PDU_h323_message_body::operator H225_CallProceeding_UUIE & | ( |  | ) |

H225_H323_UU_PDU_h323_message_body::operator const H225_CallProceeding_UUIE & | ( |  | ) | const

H225_H323_UU_PDU_h323_message_body::operator H225_Connect_UUIE & | ( |  | ) |

H225_H323_UU_PDU_h323_message_body::operator const H225_Connect_UUIE & | ( |  | ) | const

H225_H323_UU_PDU_h323_message_body::operator H225_Alerting_UUIE & | ( |  | ) |

H225_H323_UU_PDU_h323_message_body::operator const H225_Alerting_UUIE & | ( |  | ) | const

H225_H323_UU_PDU_h323_message_body::operator H225_Information_UUIE & | ( |  | ) |

H225_H323_UU_PDU_h323_message_body::operator const H225_Information_UUIE & | ( |  | ) | const

H225_H323_UU_PDU_h323_message_body::operator H225_ReleaseComplete_UUIE & | ( |  | ) |

H225_H323_UU_PDU_h323_message_body::operator const H225_ReleaseComplete_UUIE & | ( |  | ) | const

H225_H323_UU_PDU_h323_message_body::operator H225_Facility_UUIE & | ( |  | ) |

H225_H323_UU_PDU_h323_message_body::operator const H225_Facility_UUIE & | ( |  | ) | const

H225_H323_UU_PDU_h323_message_body::operator H225_Progress_UUIE & | ( |  | ) |

H225_H323_UU_PDU_h323_message_body::operator const H225_Progress_UUIE & | ( |  | ) | const

H225_H323_UU_PDU_h323_message_body::operator H225_Status_UUIE & | ( |  | ) |

H225_H323_UU_PDU_h323_message_body::operator const H225_Status_UUIE & | ( |  | ) | const

H225_H323_UU_PDU_h323_message_body::operator H225_StatusInquiry_UUIE & | ( |  | ) |

H225_H323_UU_PDU_h323_message_body::operator const H225_StatusInquiry_UUIE & | ( |  | ) | const

H225_H323_UU_PDU_h323_message_body::operator H225_SetupAcknowledge_UUIE & | ( |  | ) |

H225_H323_UU_PDU_h323_message_body::operator const H225_SetupAcknowledge_UUIE & | ( |  | ) | const

H225_H323_UU_PDU_h323_message_body::operator H225_Notify_UUIE & | ( |  | ) |

H225_H323_UU_PDU_h323_message_body::operator const H225_Notify_UUIE & | ( |  | ) | const

PBoolean H225_H323_UU_PDU_h323_message_body::CreateObject | ( |  | ) |

PObject* H225_H323_UU_PDU_h323_message_body::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h